SETTERM(1)

NAZWA
setterm - ustawia atrybuty terminala

SKŁADNIA
setterm [opcje]

OPIS
setterm wypisuje na standardowe wyjście łańcuch znaków, który wykonuje podane właściwości terminala. Tam, gdzie możliwe, do znalezienia łańcucha używa się terminfo. Część opcji jednak (zaznaczona poniżej jako "tylko konsole wirtualne") nie odpowiada właściwościom terminfo(5). W tym wypadku, jeśli typ terminala to "con" lub "linux", drukowany jest łańcuch, który wywołuje pożądane właściwości dla sterownika konsoli wirtualnej PC Minix. Opcje niezaimplementowane przez terminal są ignorowane.

OPCJE
Dla opcji logicznych (on lub off) domyślną wartością jest on.

Poniżej kolor-8 może być to black (czarny), red (czerwony), green (zielony), yellow (żółty), blue (niebieski), magenta (purpurowy), cyan (niebieskozielony) lub white (biały).

kolor-16 może być to kolor-8 lub grey (szary) lub bright (jasno-), po którym następuje red (czerwony), green (zielony), yellow (żółty), blue (niebieski), magenta (purpurowy), cyan (niebieskozielony) lub white (biały).

Różne opcje związane z kolorami mogą być ustawione niezależnie, przynajmniej na konsolach wirtualnych, chociaż wynik ustawienia wielu trybów (na przykład --underline i --half-bright) zależy od sprzętu.

-appcursorkeys [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza tryb Cursor Key Application. Gdy jest on włączony dla klawiszy kursora będą wysyłane ESC O A, ESC O B, itd. zamiast ESC [ A, ESC [ B, itd. Patrz sekcja vi i klucza kursora w Text-Terminal-HOWTO, aby przeczytać, jakie to może spowodować problemy dla użytkowników vi.

--append [numer_konsoli]
    Jak --dump, ale dopisuje stan konsoli do pliku zamiast nadpisywać jego zawartość. Działa tylko wtedy, gdy nie podano opcji --dump.

--background kolor-8|default
    Ustawia kolor tła.

--blank [0-60|force|poke] (tylko konsole wirtualne)
    Ustawia czas nieaktywności, w minutach, po którym ekran zostanie automatycznie wygaszony (przy użyciu APM, jeśli jest dostępne). Bez argumentu, sprawdza status wygaszania (zwraca terminal, który został wygaszony lub zero w przypadku niewygaszonego vt).

    Opcja force zachowuje wygaszenie ekranu nawet gdy wciśnięto jakiś klawisz.

    Opcja poke likwiduje wygaszenie.

--bfreq [liczba] (tylko konsole wirtualne)
    Ustawia częstotliwość dzwonka w Hz. Jeżeli nie podano argumentu, to domyślną wartością jest 0.

--blength [0-2000]  (tylko konsole wirtualne)
    Ustawia czas trwania dzwonka w milisekundach. Jeżeli nie podano argumentu, to przyjmuje wartość domyślną - 0.

--blink [on|off]
    Włącza lub wyłącza tryb migania. Poza konsolami wirtualnymi --blink off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--bold [on|off]
    Włącza lub wyłącza tryb wytłuszczenia (ekstrajasny). Poza konsolami wirtualnymi --bold off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--clear [all|rest]
    Bez argumentu lub z argumentem all, czyszczony jest cały ekran, a kursor jest ustawiany w pozycji początkowym, tak jak po zastosowaniu clear(1). Z argumentem rest ekran jest czyszczony od bieżącej pozycji kursora do końca ekranu.

--clrtabs [tab1 tab2 tab3 ...] (tylko konsole wirtualne)
    Czyści ustawienia tabulacji dla podanych pozycji poziomych kursora, w zakresie 1-160. Bez argumentów czyści wszystkie tabulacje.

--cursor [on|off]
    Włącza lub wyłącza kursor terminala.

--default
    Ustawia opcje renderujące terminala na wartości domyślne.

--dump [numer_konsoli]
    Zapisuje stan konsoli wirtualnej o podanym numerze do pliku podanego w opcji --file, nadpisując jego zawartość; domyślna nazwa pliku to screen.dump. Jeśli nie podano argumentu, zapisuje stan obecnej konsoli wirtualnej. Przesłania opcję --append.

--file nazwa-pliku
    Ustawia nazwę pliku dla opcji -dump lub -append podanych w tej samej linii poleceń. Jeśli nie podano tej opcji, domyślną nazwą pliku jest screen.dump w bieżącym katalogu. Ścieżka której nazwa przekracza systemowe wartości dopuszczalne jest skracana (wartość ta to PATH_MAX w linux/limits.h).

--foreground kolor-8|default
    Ustawia kolor tekstu.

--half-bright [on|off]
    Włącza lub wyłącza tryb półrozjaśnienia. Poza konsolami wirtualnymi -half-bright off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--hbcolor kolor-16
    Ustawia kolor znaków pogrubionych.

--initialize
    Wyświetla łańcuch inicjacji terminala, który zwykle ustawia opcje terminala na wartości domyślne.

--inversescreen [on|off]
    Zamienia kolory pierwszego planu i tła na całym ekranie.

--linewrap [on|off]
    Po wyczerpaniu miejsca w bieżącym wierszu, terminal zawija go do nowego wiersza.

--msg [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza wysyłanie przez jądro komunikatów printk() do konsoli.

--msglevel 0-8 (tylko konsole wirtualne)
    Ustawia poziom logowania konsoli dla wiadomości jądra printk(). Będą wypisywane wszystkie wiadomości o wyższym poziomie, tak więc ustawienie poziomu na 0 da ten sam efekt co --msg on, a logowanie z poziomem 8 wypisze wszystkie komunikaty jądra. klogd(8) może być bardziej dogodnym interfejsem do ustawiania poziomu logowania komunikatów jądra.

--powerdown [0-60]
    Ustawia czas wyłączenia VESA w minutach. Jeżeli nie podano argumentu, ustawia na domyślną wartość 0 (wyłączenie tej opcji). Jeżeli konsola jest wygaszona lub gdy monitor jest w trybie suspend, to monitor przejdzie odpowiednio w tryb vsync suspend lub wyłączenia, gdy ten czas upłynie.

--powersave off
    Wyłącza właściwości zachowywania energii monitorów zgodnych z VESA.

--powersave on|vsync
    Ustawia monitor w tryb VESA vsync suspend.

--powersave powerdown
    Ustawia monitor w tryb VESA powerdown.

--powersave hsync
    Ustawia monitor w tryb VESA hsync suspend.

--regtabs [1-160] (tylko konsole wirtualne)
    Czyści wszystkie tabulacje, a potem ustawia regularny wzorzec tabulacji z jedną tabulacją dla każdej określonej liczby pozycji. Bez argumentów przyjmuje wartość domyślną - 8.

--repeat [on|off] (tylko konsole wirtualne)
    Włącza lub wyłącza powtarzanie klawiszy.

--reset
    Wyświetla łańcuch resetowania terminala, który zwykle resetuje terminal do stanu włączenia.

--reverse [on|off]
    Włącza lub wyłącza tryb odwrócenia obrazu. Poza konsolami wirtualnymi -reverse off wyłącza wszystkie atrybuty (wytłuszczenie, półrozjaśnienie, miganie, odwrócenie).

--store (tylko konsole wirtualne)
    Zapisuje bieżące opcje renderujące terminala (kolory czcionki i tła) jako wartości domyślne.

--tabs [tab1 tab2 tab3 ...]
    Ustawia poziome pozycje kursora dla tabulacji w zakresie 1-160. Bez argumentów pokazuje obecne ustawienia tabulacji.

--term nazwa_terminala
    Nadpisuje wartość zmiennej środowiskowej TERM.

--ulcolor kolor-16 (tylko konsole wirtualne)
    Ustawia kolor znaków podkreślonych.

--underline [on|off]
    Włącza lub wyłącza tryb podkreślania.

--version
    Wypisuje informację o wersji programu i wychodzi.

--help
    Wyświetla pomoc i wychodzi.

ZGODNOŚĆ
Od wersji 2.25 setterm obsługuje długie opcje z dwoma myślnikami np. --help, oprócz dawnych długim opcji z pojedynczym myślnikiem np. -help. W skryptach zaleca się używanie zgodnego wstecznie zapisu z pojedynczym myślnikiem. Obecnie nie ma planów, ani też dobrych powodów, aby zarzucić obsługę opcji z pojedynczym myślnikiem.

ZOBACZ TAKŻE
tput(1), stty(1), terminfo(5), tty(4)

BŁĘDY
Nie są udokumentowane różnice między wersjami Miniksa i Linuksa.

DOSTĘPNOŚĆ
Polecenie setterm jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda (PTM) <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.